# app

## Purpose

Runs a Griffon application in standalone mode. This is an alias for run-app

## Examples

    griffon app
    griffon test app

## Description

Usage:

    griffon [env]* app --java-opts=<options> [args]

Arguments: Any arguments defined at the command line will be sent to the launched application. They can be retrieved by calling `getStartupArgs()` on the application instance.

Options:

- `debug` - Whether to run the application in debug more or not
- `debug-addr` - Debugging address. Defaults to 127.0.0.1
- `debug-port` - Debugging port connection. Defaults to 18290
- `java-opts` - Additional JVM options.